clang 10.0.0git

Public Member Functions | List of all members
clang::ObjCNoReturn Class Reference

`#include "clang/Analysis/DomainSpecific/ObjCNoReturn.h"`

## Public Member Functions
| ObjCNoReturn (ASTContext &C)
bool | isImplicitNoReturn (const ObjCMessageExpr *ME)
| Return true if the given message expression is known to never return. More...

## Detailed Description

Definition at line 24 of file ObjCNoReturn.h.

## Constructor & Destructor Documentation

## ◆ ObjCNoReturn()

ObjCNoReturn::ObjCNoReturn | ( | ASTContext & | C | ) |

Definition at line 28 of file ObjCNoReturn.cpp.

References clang::IdentifierTable::get(), clang::SelectorTable::getSelector(), clang::ASTContext::Idents, and clang::ASTContext::Selectors.

## Member Function Documentation

## ◆ isImplicitNoReturn()

bool ObjCNoReturn::isImplicitNoReturn | ( | const ObjCMessageExpr * | ME | ) |

Return true if the given message expression is known to never return.

Definition at line 48 of file ObjCNoReturn.cpp.

Referenced by clang::ento::ExprEngine::VisitObjCMessage().

The documentation for this class was generated from the following files:

- include/clang/Analysis/DomainSpecific/ObjCNoReturn.h
- lib/Analysis/ObjCNoReturn.cpp